com.intellectualsites.translation

## Class TranslationAsset

- java.lang.Object
- - com.intellectualsites.translation.TranslationAsset

-     public class TranslationAsset
      extends java.lang.Object

  Asset

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranslationAsset(TranslationObject trans, java.lang.String translated, TranslationLanguage lang)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TranslationLanguage` | `getLang()`
    `TranslationObject` | `getObject()`
    `java.lang.String` | `getTranslated()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TranslationAsset

          public TranslationAsset(TranslationObject trans,
                          java.lang.String translated,
                          TranslationLanguage lang)

  - ### Method Detail

    - #### getObject

          public TranslationObject getObject()

    - #### getTranslated

          public java.lang.String getTranslated()

    - #### getLang

          public TranslationLanguage getLang()